> For the complete documentation index, see [llms.txt](https://docs.onvision.ai/api-book/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.onvision.ai/api-book/api/getdocumenttypesbycategoryuuid.md).

# GetDocumentTypesByCategoryUUID

This method is used to retrieve all document types you have by using the Category UUID, which can be retrieved using the GetCategories method.

## GetDocumentTypesByCategoryUUID

<mark style="color:green;">`POST`</mark> `https://testapi.onvision.ai/wsservice.asmx`

Use this method to get your document types in a JSON format.

#### Path Parameters

| Name  | Type   | Description                   |
| ----- | ------ | ----------------------------- |
| TOKEN | string | Token                         |
| UUID  | string | Universally Unique Identifier |

{% tabs %}
{% tab title="200 Response if the credentials are valid." %}

```javascript
{
	"Envelope": {
		"Success": "1",
		"Message": "",
		"Info": {
			"Version": "1.0.0",
			"Run_Date": "20211008105813",
			"Executed_ms": "704.1739"
		},
		"Result": {
			"DocumentType": "Income document",
			"UUID": "0454D004-16C7-489E-B85D-47064C3E9B9D"
		}
	}
}
```

{% endtab %}
{% endtabs %}

## GetDocumentTypesByCategoryUUID

<mark style="color:green;">`POST`</mark> `https://testapi.onvision.ai/wsserviceNet.asmx`

Use this method to get your document types in a XML format.

#### Path Parameters

| Name  | Type   | Description                   |
| ----- | ------ | ----------------------------- |
| TOKEN | string | Token                         |
| UUID  | string | Universally Unique Identifier |

{% tabs %}
{% tab title="200 Response if the credentials are valid." %}

```markup
<Envelope debug="true">
	<script id="FirebugLiteCSPTest" firebugIgnore="true" extension="Chrome" extension-id="ehemiojjcpldeipjhjkepfdaohajpbdo"/>
	<Success>1</Success>
	<Message></Message>
	<Info>
		<Version>1.0.0</Version>
		<Run_Date>20211008110037</Run_Date>
		<Executed_ms>156.005</Executed_ms>
	</Info>
	<Result>
		<DocumentType>Income document</DocumentType>
		<UUID>0454D004-16C7-489E-B85D-47064C3E9B9D</UUID>
	</Result>
</Envelope>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.onvision.ai/api-book/api/getdocumenttypesbycategoryuuid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
